Page 1 of 20

Version 1.9.1

Posted: Wed Jul 06, 2016 3:08 pm
by Eric
New in 1.9.1:

  • New rampis architecture is supported
  • Handle wireless AC routers properly
  • Allow SSH access using public key authentication
  • Quota usage table can be displayed by percentage or usage, with colors
  • Fixes guest access in Samba & preserve Samba passwords through upgrade
  • Fixes guest network routing by including proper ebtables module
  • Fixes issues with (simple) Quota QoS limits
  • Properly preserve time/date format through upgrade
  • Web server and dynamic DNS utilities now linked to polarssl instead of cyassl
  • OpenWRT Chaos Calmer version bumped to r49261 (git commit eadf19c0b43d2f75f196ea8d875a08c7c348530c)
  • Tor updated to version 0.2.7.6

Re: Version 1.9.1

Posted: Wed Jul 06, 2016 3:16 pm
by ispyisail
+1

Re: Version 1.9.1

Posted: Wed Jul 06, 2016 4:17 pm
by petbrau
The german translation of TOR is defective.

Workaround:
If the english file /www/i18n/English-EN/tor.js is copied into the folder /plugin_root/www/i18n/German-DE the TOR page is usable.
If the english text of this tor.js file is exchanged by the german text (the german tor.js file was saved before) the german translation works as expected.

Re: Version 1.9.1

Posted: Thu Jul 07, 2016 7:44 am
by Adri
Both the factory and sysupgrade images for the wrt160nl are corrupt.
Size is less then 1Kb.

I just bricked my router flashing!

Re: Version 1.9.1

Posted: Thu Jul 07, 2016 9:53 am
by tapper
flashed my c7 and had no 5 ghz had to go back to last 1.9.x

Re: Version 1.9.1

Posted: Thu Jul 07, 2016 12:53 pm
by Eric
It looks like a few of the images are corrupt.. sorry about that.

I'm looking into what caused that and fixing it now.

Re: Version 1.9.1

Posted: Thu Jul 07, 2016 8:33 pm
by Eric
I'm not sure why, but for some reason when I did the initial build a few of the ar71xx devices including the 160nl produced invalid firmware images.

I did a new build, and re-uploaded, and this time everything seems fine.

Please let me know if you see any other images that are corrupted.

Re: Version 1.9.1

Posted: Thu Jul 07, 2016 10:52 pm
by LHoust
After upgrading my TL-WR1043ND v2.1 from V1.9.0. to V1.9.1 with Parameters being saved, I found I had to re-Enter and Save the Password for the Shares Folders stored on the 1 GIG USB Drive plugged into the TP-Link's USB Port.

Once completed, I was once again able to access the Existing Shared Folders from my Windows Machines!

Re: Version 1.9.1

Posted: Fri Jul 08, 2016 12:09 am
by Lantis
LHoust wrote:After upgrading my TL-WR1043ND v2.1 from V1.9.0. to V1.9.1 with Parameters being saved, I found I had to re-Enter and Save the Password for the Shares Folders stored on the 1 GIG USB Drive plugged into the TP-Link's USB Port.

Once completed, I was once again able to access the Existing Shared Folders from my Windows Machines!


This is expected. 1.9.0 didn't properly respect the preservation of share passwords.
From now on when you upgrade it should be ok!
But certainly report back if you see otherwise so I can have another look at it.

Re: Version 1.9.1

Posted: Fri Jul 08, 2016 7:36 am
by Adri
Eric wrote:I'm not sure why, but for some reason when I did the initial build a few of the ar71xx devices including the 160nl produced invalid firmware images.

I did a new build, and re-uploaded, and this time everything seems fine.

Please let me know if you see any other images that are corrupted.

Thanks Eric,

I'll download the new images and try again.